Bug 169050 - stunnel has IPv6 support disabled
stunnel has IPv6 support disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: stunnel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 11:48 EDT by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.11-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-24 15:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2005-09-22 11:48:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
stunnel has IPv6 support not enabled

Version-Release number of selected component (if applicable):
stunnel-4.11-1

How reproducible:
Always

Steps to Reproduce:
1. setup stunnel with IPv6 host as destination
  

Actual Results:  Not working

Expected Results:  Working

Additional info:

Easy to enable:

$ diff -u stunnel.spec stunnel-4.11-1ipv6.spec
--- stunnel.spec        2005-07-12 11:57:03.000000000 +0200
+++ stunnel-4.11-1ipv6.spec     2005-09-22 17:34:42.000000000 +0200
@@ -42,7 +42,7 @@
        CFLAGS="$CFLAGS `pkg-config --cflags openssl`";
        LDFLAGS="`pkg-config --libs-only-L openssl`"; export LDFLAGS
 fi
-%configure
+%configure --enable-ipv6
 make LDADD="-pie -Wl,-z,defs,-z,relro"

 %install


I can confirm that IPv4 tunneling in IPv6-stunnel will work.
Comment 1 Miloslav Trmač 2005-09-24 15:56:53 EDT
Fixed in rawhide stunnel-4.11.  Thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.